package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.FremsgVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class GctfreStoreVo extends BaseTransactionVo {
    private Gcdgrp gcdgrp;
    private Gidgrp gidgrp;
    private FremsgVo fremsg;
    private SwiaddVo swiadd;
    private Boolean extpay = false;
    private  String furide;
    private String clmtxts20= NULLSTR;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if(gcdgrp == null){
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if(fremsg == null){
            fremsg = new FremsgVo();
        }
        fremsg.reset();
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
